package hu.uniobuda.nik.smsfogadas;

import android.app.Activity;
import android.os.Bundle;
import android.telephony.PhoneNumberUtils;
import android.telephony.SmsManager;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class SMSKuldes extends Activity {

	EditText phonenumber,
			 smstext;
	
	Button send;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		phonenumber = (EditText)findViewById(R.id.phonenumber);
		smstext = (EditText)findViewById(R.id.smstext);
		send = (Button)findViewById(R.id.send);
		send.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {
				
				if(PhoneNumberUtils.isWellFormedSmsAddress(phonenumber.getText().toString())){
					SmsManager manager = SmsManager.getDefault();
					manager.sendTextMessage(
							phonenumber.getText().toString(), 
							null, 
							smstext.getText().toString(), 
							null, 
							null);
					Toast.makeText(SMSKuldes.this, ":-) Elküldve!", Toast.LENGTH_SHORT).show();
				}else{
					Toast.makeText(SMSKuldes.this, ":-( Hibás telefonszám!", Toast.LENGTH_SHORT).show();
				}
			}
		});
		
	}
	
}
